@charset "utf-8";

/*
************************************************************************
* ボタン・リンク
* @copyright Revolme Inc.
************************************************************************
*/

/* 汎用ボタン */
.button
{
	-webkit-appearance:none;
	display:inline-block;
	
	overflow:hidden;
	
	border-radius:3.0em;
	border:0px solid transparent;
	line-height:1;
	
	transition-duration:0.3s;
	transition-property:color;
	transition-timing-function:ease;
	
	background-color:#eeeeee;
	color:#435454;
	
	cursor:pointer;
	
	margin-bottom:0.0em;
	
	min-width:360px;
	
	font-size:1.8rem;
	
	text-align:center;
	
	transition-duration:0.3s;
	transition-property:all;
	transition-timing-function:ease;
}
.button > span
{
	display:block;
	padding:1.4em 1.4em;
	width:100%;
	
	margin:-1px 0;
}
.button > span .main
{
	display:block;
	font-size:2.8rem;
	line-height:1;
}
.button > span .sub
{
	display:block;
	font-size:1.2rem;
	line-height:1;
	
	margin-top:0.5em;
}
.button:after
{
	content:"";
	
	display:block;
	position:absolute;
	top:calc(50% - 0.60em);
	right:1.5em;
	
	width:1.5em;
	height:0.8em;
	
	/*
	transform:skew(45deg, 0deg);
	
	border:0px solid transparent;
	border-right:1px solid #957e0e;
	border-bottom:1px solid #957e0e;
	*/
	background-image:url(../../../_img/icon/arrow-line-w.svg);
	background-position:center center;
	background-repeat:no-repeat;
	background-size:contain;

	transition-duration:0.3s;
	transition-property:all;
	transition-timing-function:ease;
}
.button:hover,
.button.active
{
	opacity:0.7;
	text-decoration:none;
	
	/*
	background-color:#957e0e;
	color:#eeeeee;
	*/
}
.button:hover > span
{
}
.button:hover:after,
.button.active:after
{
	/*
	border-right:1px solid #222222;
	border-bottom:1px solid #222222;
	*/
}

.button.button-large
{
	border-radius:2.5em;
	min-width:530px;
}
.button.button-large > span
{
	padding:1.6em 2.0em 2.0em 2.0em;
	border-radius:2.5em;
}
.button.button-ext:after
{
	content:"";
	
	display:block;
	position:absolute;
	top:calc(50% - 0.40em);
	right:1.5em;
	
	width:1.2em;
	height:0.7em;
	
	transform:skew(0deg, 0deg);
	
	border:0px solid transparent;
	
	background-image:url(../../../_img/icon/link-w.svg);
	background-position:center center;
	background-repeat:no-repeat;
	background-size:contain;
}
.button.button-back-to-list
{
	color:#000000;
}
.button.button-back-to-list:after
{
	content:none;
}
.button.button-back-to-list > span
{
	padding:2.0em;
}
.button.button-back-to-list .main
{
	font-size:2.0rem;
}
.button.button-back-to-list .main:before
{
	content: "";
	display: inline-block;
	width: 1em;
	height: 1em;
	margin-right: 0.5em;
	margin-bottom: -0.1em;
	background-image: url(../../../_img/icon/list.svg);
	background-position: center center;
	background-repeat: no-repeat;
	background-size: contain;
}

/* == スマートフォンサイズ ==========================================================*/
@media screen and (max-width: 750px) {
	/* 汎用ボタン */
	.button
	{
		-webkit-appearance:none;
		display:inline-block;
		
		overflow:hidden;
		
		border-radius:3.0em;
		border:0px solid transparent;
		line-height:1;
		
		transition-duration:0.3s;
		transition-property:color;
		transition-timing-function:ease;
		
		
		cursor:pointer;
		
		margin-bottom:0.0em;
		
		min-width:56vw;
		
		font-size:2.8rem;
		
		text-align:center;
		
		transition-duration:0.3s;
		transition-property:all;
		transition-timing-function:ease;
	}
	.button > span
	{
		display:inline-block;
		padding:1.0em 1.0em;
		width:100%;
		
		margin:-1px 0;
	}
	.button > span .main
	{
		display:block;
		font-size:3.2rem;
		line-height:1;
		letter-spacing: 0.1em;
	}
	.button > span .sub
	{
		display:block;
		font-size:1.8rem;
		line-height:1;
		
		margin-top:0.5em;
	}
	.button:after
	{
		content:"";
		
		display:block;
		position:absolute;
		top:calc(50% - 0.40em);
		right:1.0em;
		
		width:1.2em;
		height:0.5em;

		transition-duration:0.3s;
		transition-property:all;
		transition-timing-function:ease;
	}

	.button:hover,
	.button.active
	{
		text-decoration:none;
		/* color:#222222; */
	}
	.button:hover > span
	{
	}
	.button.button-large
	{
		border-radius:2.5em;
		min-width:530px;
	}
	.button.button-large > span
	{
		padding:1.6em 2.0em 2.0em 2.0em;
		border-radius:2.5em;
	}
	.button.button-back-to-list .main
	{
		font-size:2.4rem;
	}
	.button.button-back-to-list .main:before
	{
		margin-right: 1.0em;
		margin-bottom: -0.1em;
	}
	.button.button-back-to-list > span
	{
		padding:1.4em;
	}
}

